/**
 * @file	file.c
 * @author	myusgun <myusgun@gmail.com>
 * @version	0.1
 */
#include "cf_file.h"
#include <stdio.h>

int main (void) {
	int fd = 0;
	char *dir1 = "./dir1/test";
	char *dir2 = "dir2/test";
	char *name = "file.txt";
	char buffer[128] = {0x00,};

	if (CF_File_MakeDirectory (dir1)) {
		// error
	}

	if (CF_File_MakeDirectory (dir2)) {
		// error
	}

	fd = CF_File_Create (name);
	if (fd < 0) {
		// error
	}
	if (CF_File_Write (fd, "file test", 9) < 0) {
		// error
	}
	CF_File_Close (fd);

	fd = CF_File_Open (name, CF_FILE_RO);
	if (fd < 0) {
		// error
	}
	printf ("file size : %d\n", CF_File_GetSize (fd));
	if (CF_File_Read (fd, buffer, sizeof (buffer)) < 0) {
		// error
	}
	CF_File_Close (fd);

	return 0;
}
